std::experimental::filesystem::filesystem_error(3)

NAME
std::experimental::filesystem::filesystem_error - Exception type thrown by the Filesystem TS library.

SYNOPSIS

Inherits std::system_error.

  Public Member Functions
filesystem_error (const string &__what_arg, const path &__p1, const path &__p2, error_code __ec)
filesystem_error (const string &__what_arg, const path &__p1, error_code __ec)
filesystem_error (const string &__what_arg, error_code __ec)
const error_code & code () const noexcept
const path & path1 () const noexcept
const path & path2 () const noexcept
const char * what () const noexcept

Detailed Description

Exception type thrown by the Filesystem TS library.

Definition at line 696 of file experimental/bits/fs_path.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.